Subject: system call from Kernel timer

From: Kong Gang Feng <[email-masked]>
Date: Mon, 29 Nov 1999 16:22:31 +0800

Hi:

I'd like to implement a function button to sync buffer cache.
I hook this button handler to the kernel timer. Once this button
is pressed more than an interval, say, 2 secs. The button handler
will call 'sys_sync()'. But this give me coredump everytime.
I am aware that this may be the context problem, when 'sys_sync()'
is called from BH of kernel timer. 

Is there any simple way to work around it?

Thanks
Kong G.F.

unsubscribe: body of `unsubscribe linux-arm-kernel' to [email-masked]